diff mbox

xfs/263: skip test if Q_XGETQSTAT has been supported by kernel and xfsprogs

Message ID 1473409820-7390-1-git-send-email-yangx.jy@cn.fujitsu.com (mailing list archive)
State New, archived
Headers show

Commit Message

Xiao Yang Sept. 9, 2016, 8:30 a.m. UTC
Signed-off-by: Xiao Yang <yangx.jy@cn.fujitsu.com>
---
 tests/xfs/263 | 4 ++++
 1 file changed, 4 insertions(+)

Comments

Xiao Yang Sept. 9, 2016, 8:39 a.m. UTC | #1
On 2016/09/09 16:30, Xiao Yang wrote:
> Signed-off-by: Xiao Yang <yangx.jy@cn.fujitsu.com>
> ---
>  tests/xfs/263 | 4 ++++
>  1 file changed, 4 insertions(+)
>
> diff --git a/tests/xfs/263 b/tests/xfs/263
> index 1dc47ae..01bbe3b 100755
> --- a/tests/xfs/263
> +++ b/tests/xfs/263
> @@ -58,6 +58,10 @@ _require_xfs_quota
>  _require_xfs_mkfs_crc
>  _require_xfs_crc
>  
> +#check if Q_XGETQSTAT has been supported by kernel and xfsprogs
> +grep -q 'Q_XGETQSTATV' /usr/include/linux/dqblk_xfs.h || _notrun "Q_XGETQSTAT hasn't been supported by kernel"
> +grep -q 'Q_XGETQSTATV' /usr/include/xfs/xqm.h || _notrun "Q_XGETQSTAT hasn't been supported by xfsprogs"
> +
>  rm -f $seqres.full
>  
>  function option_string()
sorry, please ignore this mail, i will resend it.


--
To unsubscribe from this list: send the line "unsubscribe fstests" in
the body of a message to majordomo@vger.kernel.org
More majordomo info at  http://vger.kernel.org/majordomo-info.html
diff mbox

Patch

diff --git a/tests/xfs/263 b/tests/xfs/263
index 1dc47ae..01bbe3b 100755
--- a/tests/xfs/263
+++ b/tests/xfs/263
@@ -58,6 +58,10 @@  _require_xfs_quota
 _require_xfs_mkfs_crc
 _require_xfs_crc
 
+#check if Q_XGETQSTAT has been supported by kernel and xfsprogs
+grep -q 'Q_XGETQSTATV' /usr/include/linux/dqblk_xfs.h || _notrun "Q_XGETQSTAT hasn't been supported by kernel"
+grep -q 'Q_XGETQSTATV' /usr/include/xfs/xqm.h || _notrun "Q_XGETQSTAT hasn't been supported by xfsprogs"
+
 rm -f $seqres.full
 
 function option_string()